summarylogtreecommitdiffstats
diff options
context:
space:
mode:
authorShayne Hartford (ShayBox)2019-04-08 15:39:48 -0400
committerShayne Hartford (ShayBox)2019-04-08 15:39:48 -0400
commitce6717df02702d1fc3aea0af6cb5ac9e2b41476f (patch)
tree549d36ae43c39ed243ad5242a31b0907220a0493
parent2216187ebb172f74e26575a0d608d01e71ca9b93 (diff)
downloadaur-ce6717df02702d1fc3aea0af6cb5ac9e2b41476f.tar.gz
Switched to POST request to get file
-rw-r--r--.SRCINFO6
-rw-r--r--PKGBUILD18
2 files changed, 17 insertions, 7 deletions
diff --git a/.SRCINFO b/.SRCINFO
index ff5ae0a2bb2..9a77e742c55 100644
--- a/.SRCINFO
+++ b/.SRCINFO
@@ -1,13 +1,13 @@
pkgbase = nvflash
pkgdesc = A tool to update the the firmware of Nvidia display adapters.
pkgver = 5.414.0
- pkgrel = 2
+ pkgrel = 3
url = https://www.techpowerup.com/download/nvidia-nvflash/
arch = x86_64
arch = i686
license = unknown
- source = http://us1-dl.techpowerup.com/files/20uUJslxwQ4gnk2lvo-dHA/1554748765/nvflash_5.414.0_linux.zip
- sha512sums = bcd62a3dbda077af305acfdff1bd04282aca5a9056e1b49384d3d160942a8624ede15d29c0dba45292c2ea4cce741a31b8ff551892748bcc61d29c129db08b9c
+ makedepends = wget
+ makedepends = unzip
pkgname = nvflash
diff --git a/PKGBUILD b/PKGBUILD
index 3aa7d22e434..18451b85bbc 100644
--- a/PKGBUILD
+++ b/PKGBUILD
@@ -1,14 +1,24 @@
# Maintainer: Shayne Hartford<shayneehartford@gmail.com>
pkgname=nvflash
pkgver=5.414.0
-pkgrel=2
+pkgrel=3
pkgdesc="A tool to update the the firmware of Nvidia display adapters."
url="https://www.techpowerup.com/download/nvidia-nvflash/"
arch=('x86_64' 'i686')
license=('unknown')
-source=("http://us1-dl.techpowerup.com/files/20uUJslxwQ4gnk2lvo-dHA/1554748765/${pkgname}_${pkgver}_linux.zip")
-sha512sums=('bcd62a3dbda077af305acfdff1bd04282aca5a9056e1b49384d3d160942a8624ede15d29c0dba45292c2ea4cce741a31b8ff551892748bcc61d29c129db08b9c')
+makedepends=('wget' 'unzip')
+
+build() {
+ wget \
+ --method POST \
+ --header 'content-type: application/x-www-form-urlencoded' \
+ --body-data 'id=808&server_id=2' \
+ --output-document=${pkgname}-${pkgver}.zip \
+ - https://www.techpowerup.com/download/nvidia-nvflash/ || true
+
+ unzip ${pkgname}-${pkgver}.zip
+}
package() {
- install -Dm755 "${srcdir}"/nvflash_linux "${pkgdir}"/usr/bin/nvflash
+ install -Dm755 ${pkgname}_linux "${pkgdir}"/usr/bin/nvflash
}